	// Menubar
	menubar = new FXMenuBar(this,LAYOUT_SIDE_TOP|LAYOUT_FILL_X);

	// File Menu
	FXMenuPane* filemenu = new FXMenuPane(this);
	new FXMenuTitle(menubar,"&File",NULL,filemenu);
		new FXMenuCommand(filemenu,"&New...\tCtl-N\tCreate new file",new_ico,this,ID_F_NEW);
		new FXMenuCommand(filemenu,"&Open...\tCtl-O\tOpen file from disk",open_ico,this,ID_F_OPEN);
//		new FXMenuCommand(filemenu,"&Insert...\tCtl-I\tInsert");
		new FXMenuCommand(filemenu,"&Save\tCtl-S\tSave file to disk",save_ico,this,ID_F_SAVE);
		new FXMenuCommand(filemenu,"Save &As...\t\tSave file to disk as",NULL,this,ID_F_SAVEAS);
//		new FXMenuSeparator(filemenu);
//		new FXMenuCommand(filemenu,"&Foundry...\tCtl-F\tFoundry");
		new FXMenuSeparator(filemenu);
		new FXMenuCommand(filemenu,"&Quit\t\tQuit program",NULL,this,ID_F_QUIT);

	// Edit Menu
	FXMenuPane* editmenu=new FXMenuPane(this);
	new FXMenuTitle(menubar,"&Edit",NULL,editmenu);
		new FXMenuCommand(editmenu,"&Single-layer\tCtl-M\tSingle-layer mode",NULL,this,ID_SOLOMODE);
		new FXMenuSeparator(editmenu);
		new FXMenuCommand(editmenu,"&Undo\tCtl-Z\tUndo last action",undo_ico,this,ID_UNDO);
		new FXMenuCommand(editmenu,"&Redo\tCtl-Y\tRedo last action",redo_ico,this,ID_REDO);
		new FXMenuSeparator(editmenu);
		new FXMenuCommand(editmenu,"Copy\tCtl-C\tCopy selected to clipboard",copy_ico,this,ID_COPY);
		new FXMenuCommand(editmenu,"Cut\tCtl-X\tCut selected to clipboard",cut_ico,this,ID_CUT);
		new FXMenuCommand(editmenu,"Paste\tCtl-V\tPaste from clipboard",paste_ico,this,ID_PASTE);
		new FXMenuCommand(editmenu,"Delete\tCtl-D\tDelete selected",delete_ico,this,ID_DELETE);
		new FXMenuSeparator(editmenu);

		FXMenuPane* selectsubmenu = new FXMenuPane(this);
		new FXMenuCascade(editmenu,"&Select",NULL,selectsubmenu);

			new FXMenuCommand(selectsubmenu, "&All\tCtl-A\tSelect all",NULL,this,ID_SELECT_ALL);
			new FXMenuCommand(selectsubmenu, "&None\tCtl-E\tSelect none",NULL,this,ID_SELECT_NONE);
			new FXMenuCommand(selectsubmenu, "&Invert\tCtl-I\tInvert selection",NULL,this,ID_SELECT_INVERT);

//		new FXMenuSeparator(editmenu);

//		FXMenuPane* rotate90submenu = new FXMenuPane(this);
//			new FXMenuCommand(rotate90submenu,"&Left");
//			new FXMenuCommand(rotate90submenu,"&Right");
//			new FXMenuCascade(editmenu,"Rotate &90",NULL,rotate90submenu);
//		FXMenuPane* rotate180submenu = new FXMenuPane(this);
//			new FXMenuCommand(rotate180submenu,"&Left");
//			new FXMenuCommand(rotate180submenu,"&Right");
//			new FXMenuCascade(editmenu,"Rotate &180",NULL,rotate180submenu);
//		FXMenuPane* flipsubmenu = new FXMenuPane(this);
//			new FXMenuCommand(flipsubmenu,"&Vertical");
//			new FXMenuCommand(flipsubmenu,"&Horizontal");
//			new FXMenuCascade(editmenu,"&Flip",NULL,flipsubmenu);
		new FXMenuSeparator(editmenu);
			new FXMenuCommand(editmenu,"&Group\tCtl-G\tGroup selected",group_ico,this,ID_GROUP);
			new FXMenuCommand(editmenu,"&Ungroup\tCtl-U\tUngroup selected",ungroup_ico,this,ID_UNGROUP);

	// View Menu
	FXMenuPane* viewmenu=new FXMenuPane(this);
	new FXMenuTitle(menubar,"&View",NULL,viewmenu);
		new FXMenuCommand(viewmenu,"Zoom &In\tQ\tZoom In",zoom_plus_ico,this,ID_ZOOMPLUS);
		new FXMenuCommand(viewmenu,"Zoom &Out\tZ\tZoom Out",zoom_minus_ico,this,ID_ZOOMMINUS);
		new FXMenuCommand(viewmenu," &Show All\tA\tShow All",zoom_all_ico,this,ID_ZOOMALL);
	new FXMenuSeparator(viewmenu);
		new FXMenuCommand(viewmenu,"Move Up\tE\tMove Up",NULL,this,ID_MOVEUP);
		new FXMenuCommand(viewmenu,"Move Down\tD\tMove Down",NULL,this,ID_MOVEDOWN);
		new FXMenuCommand(viewmenu,"Move Left\tS\tMove Left",NULL,this,ID_MOVELEFT);
		new FXMenuCommand(viewmenu,"Move Right\tF\tMove Right",NULL,this,ID_MOVERIGHT);
	new FXMenuSeparator(viewmenu);
		new FXMenuCommand(viewmenu,"&Layers\tCtl-L\tShow/hide layers list",laydlg_ico,this,ID_LAYERDLG);

	// Help menu
	FXMenuPane* helpmenu=new FXMenuPane(this);
		new FXMenuTitle(menubar,"&Help",NULL,helpmenu);
		new FXMenuCommand(helpmenu,"&About\t\tShow some info about program",NULL,this,ID_ABOUT);
