#ifdef WIN32
#include <windows.h>
#endif
#include <assert.h>
#include <GL/gl.h>
#include "Opt.h"

// ==================================================================== Opt::Opt(void) : GroupNode()
//
Opt::Opt(void) : GroupNode() { }

// ================================================================================= Opt::~Opt(void)
//
Opt::~Opt(void) { }

// ======================================================================== void Opt::SetData(int d)
//
void Opt::SetData(int d) { data = d; }

// ==================================================================== int Opt::GetData(void) const
//
int Opt::GetData(void) const { return data; }

// =========================================================== == void Opt::Draw(int mode = 0) const
//
void Opt::Draw(int) const
{
	glBegin(GL_LINE_LOOP); // rysowanie obwodu
		glVertex2f(x,y);
		glVertex2f(x+width,y);
		glVertex2f(x+width,y+height);
		glVertex2f(x,y+height);
	glEnd();
	glBegin(GL_LINES); // rysowanie przekatnych
		glVertex2f(x,y);
		glVertex2f(x+width,y+height);
		glVertex2f(x+width,y);
		glVertex2f(x,y+height);
	glEnd();
}
